Mozilla Firefox 52 & up, Chrome, Edge, and the Adobe PDF Reader plugin

 

Google Chrome and Microsoft Edge do not support opening PDFs with Adobe Reader.

In March 2017, Mozilla Firefox released version 52 which no longer supported the Adobe Reader plugin, among other NPAPI plugins. This version of the Firefox browser no longer supports opening PDFs with Adobe Reader in JIDS. 

The options to use JIDS with these browsers are:

  1. Use Internet Explorer instead, or 
  2. Download the FileBound Viewer to use with JIDS. This is similar to the web viewer but is an alternate way to view, save, and edit documents within the system.  

View attached instructions for downloading and installing the FileBound Viewer.

Your account must be adjusted to set the FileBound Viewer as your default. Please contact the helpdesk if you intend to use the FileBound Viewer at support@juvenilecompact.org 

 

 

 

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk